//+------------------------------------------------------------------+
//|                                          i-IntradayFibonacci.mq4 |
//|                                             . aka KimIV |
//|                                              http://www.kimiv.ru |
//|                                                                  |
//| 14.10.2005                           |
//+------------------------------------------------------------------+
#property copyright "  . aka KimIV"
#property link      "http://www.kimiv.ru"

#property indicator_chart_window
#property indicator_buffers 7
#property indicator_color1 Aqua
#property indicator_color2 Aqua
#property indicator_color3 Aqua
#property indicator_color4 Yellow
#property indicator_color5 Salmon
#property indicator_color6 Salmon
#property indicator_color7 Salmon


//-------   --------------------------------------

//-------    ---------------------------------

//-------    -------------------------------
extern int NumberOfBars = 1000;  //    (0-)

//-------   ------------------------------------------
double low1[];
double low2[];
double low3[];
double lowhigh[];
double high1[];
double high2[];
double high3[];
//double dayhigh[];
//double daylow[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
void init() {
  
  SetIndexBuffer(0, low1);
  SetIndexStyle (0, DRAW_LINE, STYLE_DOT);
  SetIndexEmptyValue(0, EMPTY_VALUE);

  SetIndexBuffer(1, low2);
  SetIndexStyle (1, DRAW_LINE, STYLE_DOT);
  SetIndexEmptyValue(1, EMPTY_VALUE);

  SetIndexBuffer(2, low3);
  SetIndexStyle (2, DRAW_LINE, STYLE_DOT);
  SetIndexEmptyValue(2, EMPTY_VALUE);

  SetIndexBuffer(3, lowhigh);
  SetIndexStyle (3, DRAW_LINE, STYLE_DOT);
  SetIndexEmptyValue(3, EMPTY_VALUE);

  SetIndexBuffer(4, high1);
  SetIndexStyle (4, DRAW_LINE, STYLE_DOT);
  SetIndexEmptyValue(4, EMPTY_VALUE);

  SetIndexBuffer(5, high2);
  SetIndexStyle (5, DRAW_LINE, STYLE_DOT);
  SetIndexEmptyValue(5, EMPTY_VALUE);

  SetIndexBuffer(6, high3);
  SetIndexStyle (6, DRAW_LINE, STYLE_DOT);
  SetIndexEmptyValue(6, EMPTY_VALUE);
/*
  SetIndexBuffer(0, dayhigh);
  SetIndexStyle (0, DRAW_LINE, STYLE_DOT);
  SetIndexEmptyValue(0, EMPTY_VALUE);

  SetIndexBuffer(8, dayhigh);
  SetIndexStyle (8, DRAW_LINE, STYLE_DOT);
  SetIndexEmptyValue(6, EMPTY_VALUE);
*/
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
void start() {
  double dMax, dMin,q;
  int    loopbegin, nsb, prevDay, shift;

 	if (NumberOfBars==0) loopbegin = Bars - 1;
  else loopbegin = NumberOfBars - 1;

  for (shift=loopbegin; shift>=0; shift--) {
    if (prevDay!=TimeDay(Time[shift])) {
      nsb=iBarShift(NULL, PERIOD_D1, Time[shift]);
      dMax=iHigh(NULL, PERIOD_D1, nsb+1);
      dMin=iLow (NULL, PERIOD_D1, nsb+1);
      q=dMax-dMin;
    }
    low1[shift]=dMin-q*0.618;
    low2[shift]=dMin-q*0.382;
    low3[shift]=dMin+q*0.382;
    lowhigh[shift]=dMin+q*0.5;
    high1[shift]=dMax-q*0.382;
    high2[shift]=dMax+q*0.382;
    high3[shift]=dMax+q*0.618;
    //daylow[shift]=dMin;
    //dayhigh[shift]=dMax;
    prevDay=TimeDay(Time[shift]);
  }
}
//+------------------------------------------------------------------+

